frobby.h File Reference
`#include "gmp.h"`

Go to the source code of this file.

## Classes

class | Frobby::Ideal
class | Frobby::IdealConsumer
| This class provides a way to get monomial ideals as output from Frobby one generator at a time. More...
class | Frobby::PolynomialConsumer
| This class provides a way to get polynomials as output from Frobby one term at a time. More...

## Namespaces

namespace | FrobbyImpl
| The namespace FrobbyImpl is for internal use inside Frobby only.
namespace | Frobby
| The namespace Frobby contains the public interface of Frobby.

## Functions

bool | Frobby::alexanderDual (const Ideal &ideal, const mpz_t *reflectionMonomial, IdealConsumer &consumer)
| Compute the Alexander dual of ideal using the point reflectionMonomial.
bool | Frobby::alexanderDual (const Ideal &ideal, const Ideal &reflectionMonomial, IdealConsumer &consumer)
void | Frobby::multigradedHilbertPoincareSeries (const Ideal &ideal, PolynomialConsumer &consumer)
| Compute the multigraded Hilbert-Poincare series of ideal.
void | Frobby::univariateHilbertPoincareSeries (const Ideal &ideal, PolynomialConsumer &consumer)
| Compute the univariate Hilbert-Poincare series of ideal.
void | Frobby::irreducibleDecompositionAsIdeals (const Ideal &ideal, IdealConsumer &consumer)
| Compute the irreducible decomposition of ideal.
bool | Frobby::irreducibleDecompositionAsMonomials (const Ideal &ideal, IdealConsumer &consumer)
| Compute the irreducible decomposition of ideal, and encode each irreducible component as a monomial.
void | Frobby::maximalStandardMonomials (const Ideal &ideal, IdealConsumer &consumer)
| Compute the maximal standard monomials of ideal.
bool | Frobby::solveStandardMonomialProgram (const Ideal &ideal, const mpz_t *l, IdealConsumer &consumer)
| Solve the optimization program.
void | Frobby::codimension (const Ideal &ideal, mpz_t codim)
| Compute the codimension of a monomial ideal.
void | Frobby::dimension (const Ideal &ideal, mpz_t dim)
| Compute the Krull dimension of a monomial ideal.
void | Frobby::primaryDecomposition (const Ideal &ideal, IdealConsumer &consumer)
| Compute the canonical primary decomposition of a monomial ideal.
void | Frobby::associatedPrimes (const Ideal &ideal, IdealConsumer &consumer)
| Compute the associated primes of the ideal.

## Variables

const char *const | frobby_version

## Variable Documentation

## frobby_version

const char* const frobby_version

Definition at line 24 of file frobby.h.